%define __distdep %(rpm -qf /etc/redhat-release | sed 's/-[^-]*$//' | head -1)
%define __distpkg %(echo %{__distdep} | sed 's/-[^-]*$//')
%define __distvers %(echo %{__distdep} | sed 's/.*-//' | tr -d '[:alpha:]')
%define __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' /etc/redhat-release | tr -d '[:space:]' | cut -c 1-4 | tr '[:upper:]' '[:lower:]')
%define __perl_version %(eval "`perl -V:version`"; echo $version)
%define __perl_package Net-CIDR-Lite
                                                                                                                       
Summary:        %{__perl_package} module for perl
Name:           perl-%{__perl_package}
Version:        0.15
Release:        3.%{__distinit}%{__distvers}
License:        Artistic
Group:          Applications/CPAN
Source0:        %{__perl_package}-%{version}.tar.gz
Url:		http://search.cpan.org/search?mode=module&query=Net%3a%3aCIDR%3a%3aLite
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
Requires:	%{__distpkg} >= %{__distvers}, perl >= %{__perl_version}

%description
Net::CIDR::Lite - Perl extension for merging IPv4 or IPv6 CIDR addresses

%prep
%setup -q -n %{__perl_package}-%{version} 
 
%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
%{__make}
%{__make} test

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec %{__rm} -v {} \;

find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
    %{__sed} "s@^$RPM_BUILD_ROOT@@g" | \
    grep -v perllocal.pod | \
    grep -v "\.packlist" > %{__perl_package}-%{version}-filelist
if [ "$(%{__cat} %{__perl_package}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{__perl_package}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Wed Apr 14 2004 Paul Howarth <paul@city-fan.org> 0.15-3
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system. In such cases, just
  rebuilt from the source RPM.
- Changed distribution-identifying macros for greater portability.

* Mon Feb 16 2004 Paul Howarth <paul@city-fan.org> 0.15-2
- Unified spec file for Red Hat and Fedora Core

* Fri Jan 09 2004 Paul Howarth <paul@city-fan.org> 0.15-1.fc1
- Initial RPM build
